cURL
curl --request PUT \
--url https://api-alpha.fourvenues.com/integrations/tickets/by-code/{ticketCode}/checkin \
--header 'Content-Type: application/json' \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"enter": 1,
"entry_date": "2022-09-15T23:00:00.000Z",
"quality": 2
}
'import requests
url = "https://api-alpha.fourvenues.com/integrations/tickets/by-code/{ticketCode}/checkin"
payload = {
"enter": 1,
"entry_date": "2022-09-15T23:00:00.000Z",
"quality": 2
}
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
integration_id: '<api-key>',
secret: '<api-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({enter: 1, entry_date: '2022-09-15T23:00:00.000Z', quality: 2})
};
fetch('https://api-alpha.fourvenues.com/integrations/tickets/by-code/{ticketCode}/checkin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Tickets
Put ticket by code checkin
Update check-in from ticket
PUT
/
tickets
/
by-code
/
{ticketCode}
/
checkin
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Path Parameters
Code of the ticket
Body
application/json
Body of the request
Response
HTTP OK
Example:
true
⌘I